Loading...
Searching...
No Matches
juce::AudioProcessorListener::ChangeDetails Struct Reference

## Detailed Description

Provides details about aspects of an AudioProcessor which have changed.

The documentation for this struct was generated from the following file:

- juce_audio_processors_headless/processors/juce_AudioProcessorListener.h

## Public Member Functions

ChangeDetails | withLatencyChanged (bool b) const noexcept
| Indicates that the AudioProcessor's latency has changed.
ChangeDetails | withParameterInfoChanged (bool b) const noexcept
| Indicates that some attributes of the AudioProcessor's parameters have changed.
ChangeDetails | withProgramChanged (bool b) const noexcept
| Indicates that the loaded program has changed.
ChangeDetails | withNonParameterStateChanged (bool b) const noexcept
| Indicates that the plugin state has changed (but not its parameters!).

## Static Public Member Functions

static ChangeDetails | getDefaultFlags ()
| Returns the default set of flags that will be used when AudioProcessor::updateHostDisplay() is called with no arguments.
static ChangeDetails | getAllChanged ()

## Public Attributes

bool | latencyChanged = false
bool | parameterInfoChanged = false
bool | programChanged = false
bool | nonParameterStateChanged = false

## Member Functions

## withLatencyChanged()

ChangeDetails juce::AudioProcessorListener::ChangeDetails::withLatencyChanged | ( | bool | b | ) | const

inline nodiscard noexcept

Indicates that the AudioProcessor's latency has changed.

Most of the time, you won't need to use this function directly. AudioProcessor::setLatencySamples() will automatically call AudioProcessor::updateHostDisplay(), indicating that the latency has changed.

See also
  latencyChanged

References latencyChanged.

Referenced by getDefaultFlags().

## withParameterInfoChanged()

ChangeDetails juce::AudioProcessorListener::ChangeDetails::withParameterInfoChanged | ( | bool | b | ) | const

inline nodiscard noexcept

Indicates that some attributes of the AudioProcessor's parameters have changed.

When this flag is set, the host should rescan the AudioProcessor's parameters, and update its controls to match. This is often used to update the names of a plugin's parameters in the host.

See also
  parameterInfoChanged

References parameterInfoChanged.

Referenced by getDefaultFlags().

## withProgramChanged()

ChangeDetails juce::AudioProcessorListener::ChangeDetails::withProgramChanged | ( | bool | b | ) | const

inline nodiscard noexcept

Indicates that the loaded program has changed.

When this flag is set, the host should call AudioProcessor::getCurrentProgram() and update any preset list views to display the program that is currently in use.

See also
  programChanged

References programChanged.

Referenced by getDefaultFlags().

## withNonParameterStateChanged()

ChangeDetails juce::AudioProcessorListener::ChangeDetails::withNonParameterStateChanged | ( | bool | b | ) | const

inline nodiscard noexcept

Indicates that the plugin state has changed (but not its parameters!).

An AudioProcessor can call updateHostDisplay with this flag set to notify the host that its state has changed in a way that requires re-saving.

If a host receives a call to audioProcessorChanged with this flag set, it should offer to save the plugin state before taking any actions that might irrevocably destroy the current plugin state, such as closing the project.

See also
  nonParameterStateChanged

References nonParameterStateChanged.

## getDefaultFlags()

ChangeDetails juce::AudioProcessorListener::ChangeDetails::getDefaultFlags | ( |  | ) |

inline static

Returns the default set of flags that will be used when AudioProcessor::updateHostDisplay() is called with no arguments.

References withLatencyChanged(), withParameterInfoChanged(), and withProgramChanged().

Referenced by getAllChanged().

## getAllChanged()

ChangeDetails juce::AudioProcessorListener::ChangeDetails::getAllChanged | ( |  | ) |

inline static

References getDefaultFlags().

## Member Data Documentation

## latencyChanged

bool juce::AudioProcessorListener::ChangeDetails::latencyChanged = false

See also
  withLatencyChanged

Referenced by withLatencyChanged().

## parameterInfoChanged

bool juce::AudioProcessorListener::ChangeDetails::parameterInfoChanged = false

See also
  withParameterInfoChanged

Referenced by withParameterInfoChanged().

## programChanged

bool juce::AudioProcessorListener::ChangeDetails::programChanged = false

See also
  withProgramChanged

Referenced by withProgramChanged().

## nonParameterStateChanged

bool juce::AudioProcessorListener::ChangeDetails::nonParameterStateChanged = false

See also
  withNonParameterStateChanged

Referenced by withNonParameterStateChanged().

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited